ServerEvents.recipes(e=> {
    //魔石、光芒石
    e.shapeless('6x solarcraft:magistone', 
    [ 
    '6x forbidden_arcanus:polished_darkstone',
    'solarcraft:void_dust'
    ])
    e.shapeless('6x solarcraft:solar_stone', 
    [ 
    '6x #forge:stone',
    '2x solarcraft:energy_dust'
    ])
    //末影锭
    e.shapeless('solarcraft:enderium_ingot', 
    [ 
      '#forge:ingots/ender_ingot', 
    ])
    //浓缩蓝宝石
    e.shapeless('solarcraft:blue_gem_enriched', 
    [ 
      '9x solarcraft:blue_gem', 
    ])
    //能量之核
    e.remove({ output: 'solarcraft:energy_core',type:"solarcraft:infusing_new"})
    e.shaped('8x solarcraft:energy_core',[
      'E U', 
      ' C ', 
      'U E'
     ], {
       U: '#forge:plates/brass',
       E: 'create_new_age:overcharged_diamond',
       C: 'createteleporters:redstone_pearl'
     })


    let e_u = 'solarcraft:runestone'
    let r_stone = 'forbidden_arcanus:rune'
    
    //八符文
    let r_z = 'solarcraft:solar_rune_zeta'
    let r_a = 'solarcraft:solar_rune_ardo'
    let r_ur = 'solarcraft:solar_rune_urba'
    let r_k = 'solarcraft:solar_rune_kelda'
    let r_f = 'solarcraft:solar_rune_fira'
    let r_t = 'solarcraft:solar_rune_tera'
    let r_g = 'solarcraft:solar_rune_giro'
    let r_ul = 'solarcraft:solar_rune_ultima'
    let eigth_runes = [
      r_z,
      r_a,
      r_ur,
      r_k,
      r_f,
      r_t,
      r_g,
      r_ul
    ]
    eigth_runes.forEach(i => {
      e.shaped('32x '+i,
      [
        'UUU', 
        'UCU', 
        'UUU'
       ], {
         U: e_u,
         C: r_stone
       })
  
    });




    
  

      
  
  
  
  
  })
  